Classes:
Doctrine
Doctrine_Access
Doctrine_Adapter
Doctrine_Adapter_Db2_Exception
Doctrine_Adapter_Exception
Doctrine_Adapter_Statement
Doctrine_AuditLog
Doctrine_AuditLog_Listener
Doctrine_Collection
Doctrine_Collection_Exception
Doctrine_Collection_Iterator
Doctrine_Collection_Iterator_Expandable
Doctrine_Collection_Iterator_Normal
Doctrine_Collection_Iterator_Offset
Doctrine_Collection_Offset
Doctrine_Column
Doctrine_Compiler
Doctrine_Compiler_Exception
Doctrine_Configurable
Doctrine_Connection
Doctrine_Connection_Common
Doctrine_Connection_Db2
Doctrine_Connection_Exception
Doctrine_Connection_Firebird
Doctrine_Connection_Firebird_Exception
Doctrine_Connection_Informix
Doctrine_Connection_Informix_Exception
Doctrine_Connection_Mock
Doctrine_Connection_Module
Doctrine_Connection_Mssql
Doctrine_Connection_Mssql_Exception
Doctrine_Connection_Mysql
Doctrine_Connection_Mysql_Exception
Doctrine_Connection_Oracle
Doctrine_Connection_Oracle_Exception
Doctrine_Connection_Pgsql
Doctrine_Connection_Pgsql_Exception
Doctrine_Connection_Profiler
Doctrine_Connection_Profiler_Exception
Doctrine_Connection_Sqlite
Doctrine_Connection_Sqlite_Exception
Doctrine_Connection_Statement
Doctrine_Connection_UnitOfWork
Doctrine_DataDict
Doctrine_DataDict_Exception
Doctrine_DataDict_Informix
Doctrine_DataType
Doctrine_Db
Doctrine_Event
Doctrine_EventListener
Doctrine_EventListener_Chain
Doctrine_EventListener_Exception
Doctrine_Exception
Doctrine_Export
Doctrine_Export_Exception
Doctrine_Export_Firebird
Doctrine_Export_Frontbase
Doctrine_Export_Mssql
Doctrine_Export_Mysql
Doctrine_Export_Oracle
Doctrine_Export_Pgsql
Doctrine_Export_Reporter
Doctrine_Export_Schema
Doctrine_Export_Schema_Xml
Doctrine_Export_Schema_Yml
Doctrine_Export_Sqlite
Doctrine_Expression
Doctrine_Expression_Driver
Doctrine_Expression_Exception
Doctrine_Expression_Firebird
Doctrine_Expression_Informix
Doctrine_Expression_Mock
Doctrine_Expression_Mssql
Doctrine_Expression_Mysql
Doctrine_Expression_Oracle
Doctrine_Expression_Pgsql
Doctrine_Expression_Sqlite
Doctrine_File
Doctrine_File_Index
Doctrine_Formatter
Doctrine_Hook
Doctrine_Hook_Equal
Doctrine_Hook_Integer
Doctrine_Hook_Parser
Doctrine_Hook_Parser_Complex
Doctrine_Hook_WordLike
Doctrine_Hydrate
Doctrine_Hydrate_Array
Doctrine_Hydrate_Exception
Doctrine_Hydrate_Record
Doctrine_Import
Doctrine_Import_Builder
Doctrine_Import_Builder_BaseClass
Doctrine_Import_Builder_Exception
Doctrine_Import_Exception
Doctrine_Import_Firebird
Doctrine_Import_Informix
Doctrine_Import_Mssql
Doctrine_Import_Mysql
Doctrine_Import_Oracle
Doctrine_Import_Pgsql
Doctrine_Import_Reader
Doctrine_Import_Reader_Db
Doctrine_Import_Reader_Exception
Doctrine_Import_Reader_Xml_Propel
Doctrine_Import_Schema
Doctrine_Import_Schema_Xml
Doctrine_Import_Schema_Yml
Doctrine_Import_Sqlite
Doctrine_IntegrityMapper
Doctrine_Lib
Doctrine_Locking_Exception
Doctrine_Locking_Manager_Pessimistic
Doctrine_Manager
Doctrine_Manager_Exception
Doctrine_Node
Doctrine_Node_AdjacencyList
Doctrine_Node_AdjacencyList_LevelOrderIterator
Doctrine_Node_AdjacencyList_PostOrderIterator
Doctrine_Node_AdjacencyList_PreOrderIterator
Doctrine_Node_Exception
Doctrine_Node_MaterializedPath
Doctrine_Node_MaterializedPath_LevelOrderIterator
Doctrine_Node_MaterializedPath_PostOrderIterator
Doctrine_Node_MaterializedPath_PreOrderIterator
Doctrine_Node_NestedSet
Doctrine_Node_NestedSet_LevelOrderIterator
Doctrine_Node_NestedSet_PostOrderIterator
Doctrine_Node_NestedSet_PreOrderIterator
Doctrine_Null
Doctrine_Object
Doctrine_Plugin
Doctrine_Query
Doctrine_Query_Abstract
Doctrine_Query_Check
Doctrine_Query_Condition
Doctrine_Query_Exception
Doctrine_Query_Filter
Doctrine_Query_Filter_Chain
Doctrine_Query_From
Doctrine_Query_Groupby
Doctrine_Query_Having
Doctrine_Query_JoinCondition
Doctrine_Query_Limit
Doctrine_Query_Offset
Doctrine_Query_Orderby
Doctrine_Query_Parser
Doctrine_Query_Part
Doctrine_Query_Select
Doctrine_Query_Set
Doctrine_Query_Where
Doctrine_RawSql
Doctrine_RawSql_Exception
Doctrine_Record
Doctrine_Record_Abstract
Doctrine_Record_Exception
Doctrine_Record_Filter
Doctrine_Record_Iterator
Doctrine_Record_Listener
Doctrine_Record_Listener_Chain
Doctrine_Record_State_Exception
Doctrine_Relation
Doctrine_Relation_Association
Doctrine_Relation_Association_Self
Doctrine_Relation_Exception
Doctrine_Relation_ForeignKey
Doctrine_Relation_LocalKey
Doctrine_Relation_Nest
Doctrine_Relation_Parser
Doctrine_Relation_Parser_Exception
Doctrine_Schema
Doctrine_Schema_Column
Doctrine_Schema_Database
Doctrine_Schema_Exception
Doctrine_Schema_Object
Doctrine_Schema_Relation
Doctrine_Schema_Table
Doctrine_Search
Doctrine_Search_Analyzer
Doctrine_Search_Analyzer_Exception
Doctrine_Search_Analyzer_Standard
Doctrine_Search_Exception
Doctrine_Search_Indexer
Doctrine_Search_Indexer_Dir
Doctrine_Search_Indexer_Exception
Doctrine_Search_Listener
Doctrine_Search_Parser
Doctrine_Search_Query
Doctrine_Search_Record
Doctrine_Search_Scorer
Doctrine_Search_Template
Doctrine_Sequence
Doctrine_Sequence_Db2
Doctrine_Sequence_Exception
Doctrine_Sequence_Firebird
Doctrine_Sequence_Informix
Doctrine_Sequence_Mssql
Doctrine_Sequence_Mysql
Doctrine_Sequence_Oracle
Doctrine_Sequence_Pgsql
Doctrine_Sequence_Sqlite
Doctrine_Table
Doctrine_Table_Exception
Doctrine_Table_Repository
Doctrine_Table_Repository_Exception
Doctrine_Template
Doctrine_Template_NestedSet
Doctrine_Template_Searchable
Doctrine_Template_Taggable
Doctrine_Template_Versionable
Doctrine_Tokenizer
Doctrine_Transaction
Doctrine_Transaction_Exception
Doctrine_Transaction_Firebird
Doctrine_Transaction_Informix
Doctrine_Transaction_Mock
Doctrine_Transaction_Mssql
Doctrine_Transaction_Mysql
Doctrine_Transaction_Oracle
Doctrine_Transaction_Pgsql
Doctrine_Transaction_Sqlite
Doctrine_Tree
Doctrine_Tree_AdjacencyList
Doctrine_Tree_Exception
Doctrine_Tree_MaterializedPath
Doctrine_Tree_NestedSet
Doctrine_Util
Doctrine_Validator
Doctrine_Validator_Country
Doctrine_Validator_Creditcard
Doctrine_Validator_Date
Doctrine_Validator_Email
Doctrine_Validator_Enum
Doctrine_Validator_ErrorStack
Doctrine_Validator_Exception
Doctrine_Validator_HtmlColor
Doctrine_Validator_Ip
Doctrine_Validator_Minlength
Doctrine_Validator_Nospace
Doctrine_Validator_Notblank
Doctrine_Validator_Notnull
Doctrine_Validator_Range
Doctrine_Validator_Regexp
Doctrine_Validator_Unique
Doctrine_Validator_Unsigned
Doctrine_Validator_Usstate
Doctrine_View
Doctrine_View_Exception
Doctrine_Cache
Doctrine_Cache
Doctrine_Cache_Apc
Doctrine_Cache_Array
Doctrine_Cache_Db
Doctrine_Cache_Driver
Doctrine_Cache_Exception
Doctrine_Cache_Memcache
Doctrine_Adapter
Doctrine_Adapter_Db2
Doctrine_Adapter_Mock
Doctrine_Adapter_Mysqli
Doctrine_Adapter_Oracle
Doctrine_Adapter_Statement_Mock
Doctrine_DataDict
Doctrine_DataDict_Firebird
Doctrine_DataDict_Mssql
Doctrine_DataDict_Mysql
Doctrine_DataDict_Oracle
Doctrine_DataDict_Pgsql
Doctrine_DataDict_Sqlite

# Class: Doctrine_Configurable

Source Location: /Doctrine/Configurable.php

## Class Doctrine_Configurable

Class Overview

Doctrine_Configurable the base for Doctrine_Table, Doctrine_Manager and Doctrine_Connection Located in /Doctrine/Configurable.php [line 34]
    Doctrine_Object
       |
       --Doctrine_Configurable
Author(s): Konsta Vesterinen <kvesteri@cc.hut.fi> API Tags:
Abstract: |
Information Tags:
Version: | $Revision: 2153 $
Link: | www.phpdoctrine.com
Since: | 1.0
License: | LGPL
| Properties $attributes $parent $_impl | Methods addListener addRecordListener getAttribute getAttributes getCacheDriver getImpl getListener getParent getRecordListener setAttribute setEventListener setImpl setListener setParent setRecordListener

[ Top ]
Direct descendents

Child Class | Description
--- | ---
Doctrine_Connection | Doctrine_Connection
Doctrine_Manager | Doctrine_Manager is the base component of all doctrine based projects.
Doctrine_Table | Doctrine_Table represents a database table each Doctrine_Table holds the information of foreignKeys and associations

[ Top ]
Inherited Properties, Constants, and Methods

Inherited Properties | Inherited Methods | Inherited Constants
--- | --- | ---
Inherited From Doctrine_Object Doctrine_Object::$_null | Inherited From Doctrine_Object Doctrine_Object::getNullObject() getNullObject returns the null object associated with this object Doctrine_Object::initNullObject() initNullObject initializes the null object |

[ Top ]
Property Summary

array | $attributes |
Doctrine_Configurable | $parent |
array | $_impl |

[ Top ]
Method Summary

mixed | addListener() | addListener
mixed | addRecordListener() | addRecordListener
mixed | getAttribute() | returns the value of an attribute
array | getAttributes() | getAttributes returns all attributes as an array
Doctrine_Cache_Interface | getCacheDriver() | getCacheDriver
string | getImpl() | getImpl returns the implementation for given class
Doctrine_EventListener_Interface|Doctrine_Overloadable | getListener() | getListener
Doctrine_Configurable | getParent() | getParent returns the parent of this component
Doctrine_EventListener_Interface|Doctrine_Overloadable | getRecordListener() | getListener
void | setAttribute() | setAttribute sets a given attribute
void | setEventListener() |
Doctrine_Configurable | setImpl() | setImpl binds given class to given template name
Doctrine_Configurable | setListener() | setListener
void | setParent() | sets a parent for this configurable component the parent must be configurable component itself
Doctrine_Configurable | setRecordListener() | setListener

[ Top ]
Properties
array $attributes = array() [line 39]
API Tags:

Access: | protected

[ Top ]
Doctrine_Configurable $parent [line 43]
API Tags:

Access: | protected

[ Top ]
array $_impl = array() [line 49]
API Tags:

Access: | protected

[ Top ]
Methods
addListener [line 267]

`mixed addListener( Doctrine_EventListener_Interface|Doctrine_Overloadable $listener, [ $name = null] )`

addListener

Parameters:

Doctrine_EventListener_Interface|Doctrine_Overloadable | $listener: |
| $name: |

API Tags:

Return: | this object
Access: | public

[ Top ]
addRecordListener [line 218]

`mixed addRecordListener( Doctrine_EventListener_Interface|Doctrine_Overloadable $listener, [ $name = null] )`

addRecordListener

Parameters:

Doctrine_EventListener_Interface|Doctrine_Overloadable | $listener: |
| $name: |

API Tags:

Return: | this object
Access: | public

[ Top ]
getAttribute [line 316]

`mixed getAttribute( integer $attribute )`

returns the value of an attribute

Parameters:

integer | $attribute: |

API Tags:

Access: | public

Redefined in descendants as:

- Doctrine_Connection::getAttribute() : getAttribute retrieves a database connection attribute

[ Top ]
getAttributes [line 338]

`array getAttributes( )`

getAttributes returns all attributes as an array

API Tags:

Access: | public

[ Top ]
getCacheDriver [line 196]

`Doctrine_Cache_Interface getCacheDriver( )`

getCacheDriver

API Tags:

Access: | public

[ Top ]
getImpl [line 181]

`string getImpl( $template )`

getImpl returns the implementation for given class

Parameters:

| $template: |

API Tags:

Return: | name of the concrete implementation
Access: | public

[ Top ]
getListener [line 283]

`Doctrine_EventListener_Interface|Doctrine_Overloadable getListener( )`

getListener

API Tags:

Access: | public

[ Top ]
getParent [line 359]

`Doctrine_Configurable getParent( )`

getParent returns the parent of this component

API Tags:

Access: | public

[ Top ]
getRecordListener [line 234]

`Doctrine_EventListener_Interface|Doctrine_Overloadable getRecordListener( )`

getListener

API Tags:

Access: | public

[ Top ]
setAttribute [line 69]

`void setAttribute( mixed $attribute, mixed $value )`

setAttribute sets a given attribute

1. $manager->setAttribute(Doctrine::ATTR_PORTABILITY, Doctrine::PORTABILITY_ALL);
3. // or
5. $manager->setAttribute('portability', Doctrine::PORTABILITY_ALL);

Parameters:

mixed | $attribute: | either a Doctrine::ATTR_* integer constant or a string corresponding to a constant
mixed | $value: | the value of the attribute

API Tags:

See: | Doctrine::ATTR_* constants
Access: | public

Information Tags:

Throws: | Doctrine_Exception if the value is invalid

Redefined in descendants as:

- Doctrine_Connection::setAttribute() : setAttribute sets an attribute

[ Top ]
setEventListener [line 208]

`void setEventListener( Doctrine_EventListener $listener )`

Parameters:

Doctrine_EventListener | $listener: |

API Tags:

Access: | public

[ Top ]
setImpl [line 169]

`Doctrine_Configurable setImpl( string $template, string $class )`

setImpl binds given class to given template name

this method is the base of Doctrine dependency injection

Parameters:

string | $template: | name of the class template
string | $class: | name of the class to be bound

API Tags:

Return: | this object
Access: | public

[ Top ]
setListener [line 299]

`Doctrine_Configurable setListener( Doctrine_EventListener_Interface|Doctrine_Overloadable $listener )`

setListener

Parameters:

Doctrine_EventListener_Interface|Doctrine_Overloadable | $listener: |

API Tags:

Return: | this object
Access: | public

[ Top ]
setParent [line 349]

`void setParent( Doctrine_Configurable $component )`

sets a parent for this configurable component the parent must be configurable component itself

Parameters:

Doctrine_Configurable | $component: |

API Tags:

Access: | public

[ Top ]
setRecordListener [line 250]

`Doctrine_Configurable setRecordListener( Doctrine_EventListener_Interface|Doctrine_Overloadable $listener )`

setListener

Parameters:

Doctrine_EventListener_Interface|Doctrine_Overloadable | $listener: |

API Tags:

Return: | this object
Access: | public

[ Top ]